#ifndef KartenLeser_H
#define KartenLeser_H

#include <Klient.h>
#include <Text.h>

using namespace Framework;

struct SpielerTeamStruktur;
class SpielServer;

class KartenLeser : public virtual ReferenceCounter
{
private:
    SpielServer *ss;
    int karteId;
    Text *pfad;
    int sNum;

public:
    // Konstruktor 
    KartenLeser( int sNum, int karteId, SpielServer *ss );
    // Destruktor
    ~KartenLeser();
    // nicht constant
    bool setKarteId( int id );
    bool ladeSpielerTeamStruktur( SpielerTeamStruktur *sts );
    // constant
    int getKarteId() const;
    Text *getPfad() const;
    Text *zPfad() const;
};

#endif