#ifndef SSKlientV_H
#define SSKlientV_H

#include <Server.h>
#include <Thread.h>
#include "Strukturen.h"

using namespace Framework;
using namespace Network;

class SSKlientV : public Thread
{
private:

public:
	// Konstructor
	SSKlientV()
		: Thread()
	{}
	virtual ~SSKlientV()
	{}
	// nicht constant 
	virtual void nichtTrennen() = 0;
	virtual double ping() = 0;
	virtual void spielNachricht(short len, const char* bytes) = 0;
	virtual void statistikNachricht(short len, const char* bytes) = 0;
	virtual void trenne() = 0;
	virtual void thread() = 0;
	virtual void errorZuKlientEmpfang(const char* nachricht) = 0; // sendet eine Fehlernachricht zum Klient
	virtual void errorZuKlientSende(const char* nachricht) = 0;
	// const
	virtual int getAccountId() const = 0;
};

#endif